﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Extensions;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Configuration.Json;

using Xunit;
using Xunit.Abstractions;
using Xunit.Extensions;
using Xunit.Sdk;

namespace ConfigureStudy.Test
{
    public class ConfigFixture : IDisposable
    {
        public IConfiguration Configuration;

        public ConfigFixture()
        {
            IConfiguration configuration = new ConfigurationBuilder()
                .AddJsonFile("appsettings.json")
                .AddJsonFile("DatabaseConfig.json")
                .Build();
            this.Configuration = configuration;
        }

        public string GetConnectionStringFromJsonConfig()
        {
            return Configuration.GetValue<string>("ConnectionString");
        }

        public void Dispose()
        {
           
        }
    }
}
